# NinetyEight.NEProvider

## Class NEProvider <a href="#ninetyeight_neprovider" id="ninetyeight_neprovider"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Contains constants for different authentication providers.

```csharp
public static class NEProvider
```

**Inheritance**

[object](https://learn.microsoft.com/dotnet/api/system.object) ←NEProvider

**Inherited Members**

[object.Equals(object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object\)),[object.Equals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals\(system-object-system-object\)),[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode),[object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype),[object.MemberwiseClone()](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone),[object.ReferenceEquals(object?, object?)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals),[object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

### Fields

#### APPLE <a href="#ninetyeight_neprovider_apple" id="ninetyeight_neprovider_apple"></a>

Apple authentication provider

```csharp
public const string APPLE = "apple"
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### EMAIL <a href="#ninetyeight_neprovider_email" id="ninetyeight_neprovider_email"></a>

Email authentication provider

```csharp
public const string EMAIL = "email"
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### FACEBOOK <a href="#ninetyeight_neprovider_facebook" id="ninetyeight_neprovider_facebook"></a>

Facebook authentication provider

```csharp
public const string FACEBOOK = "facebook"
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### GOOGLE <a href="#ninetyeight_neprovider_google" id="ninetyeight_neprovider_google"></a>

Google authentication provider

```csharp
public const string GOOGLE = "google"
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)

#### TELEGRAM <a href="#ninetyeight_neprovider_telegram" id="ninetyeight_neprovider_telegram"></a>

Telegram authentication provider

```csharp
public const string TELEGRAM = "telegram"
```

**Field Value**

[string](https://learn.microsoft.com/dotnet/api/system.string)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.neprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
